
pre[data-line] {
	position: relative;
	padding: 1em 0 1em 3em
}

.line-highlight {
	position: absolute;
	left: 0;
	right: 0;
	padding: inherit 0;
	margin-top: 1em;
	background: hsla(24, 20%, 50%, .08);
	background: linear-gradient(to right, hsla(24, 20%, 50%, .1) 70%, hsla(24, 20%, 50%, 0));
	pointer-events: none;
	line-height: inherit;
	white-space: pre
}

@media print {
	.line-highlight {
		-webkit-print-color-adjust: exact;
		color-adjust: exact
	}
}

.line-highlight:before,
.line-highlight[data-end]:after {
	content: attr(data-start);
	position: absolute;
	top: .4em;
	left: .6em;
	min-width: 1em;
	padding: 0 .5em;
	background-color: hsla(24, 20%, 50%, .4);
	color: #f4f1ef;
	font: bold 65%/1.5 sans-serif;
	text-align: center;
	vertical-align: .3em;
	border-radius: 999px;
	text-shadow: none;
	box-shadow: 0 1px #fff
}

.line-highlight[data-end]:after {
	content: attr(data-end);
	top: auto;
	bottom: .4em
}

.line-numbers .line-highlight:after,
.line-numbers .line-highlight:before {
	content: none
}

pre[id].linkable-line-numbers span.line-numbers-rows {
	pointer-events: all
}

pre[id].linkable-line-numbers span.line-numbers-rows>span:before {
	cursor: pointer
}

pre[id].linkable-line-numbers span.line-numbers-rows>span:hover:before {
	background-color: rgba(128, 128, 128, .2)
}

pre[class*=language-].line-numbers {
	position: relative;
	padding-left: 3.8em;
	counter-reset: linenumber
}

pre[class*=language-].line-numbers>code {
	position: relative;
	white-space: inherit
}

.line-numbers .line-numbers-rows {
	position: absolute;
	pointer-events: none;
	top: 0;
	font-size: 100%;
	left: -3.8em;
	width: 3em;
	letter-spacing: -1px;
	border-right: 1px solid #999;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none
}

.line-numbers-rows>span {
	display: block;
	counter-increment: linenumber
}

.line-numbers-rows>span:before {
	content: counter(linenumber);
	color: #999;
	display: block;
	padding-right: .8em;
	text-align: right
}

div.code-toolbar {
	position: relative
}

div.code-toolbar>.toolbar {
	position: absolute;
	top: .3em;
	right: .2em;
	transition: opacity .3s ease-in-out;
	opacity: 0
}

div.code-toolbar:hover>.toolbar {
	opacity: 1
}

div.code-toolbar:focus-within>.toolbar {
	opacity: 1
}

div.code-toolbar>.toolbar>.toolbar-item {
	display: inline-block
}

div.code-toolbar>.toolbar>.toolbar-item>a {
	cursor: pointer
}

div.code-toolbar>.toolbar>.toolbar-item>button {
	background: 0 0;
	border: 0;
	color: inherit;
	font: inherit;
	line-height: normal;
	overflow: visible;
	padding: 0;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none
}

div.code-toolbar>.toolbar>.toolbar-item>a,
div.code-toolbar>.toolbar>.toolbar-item>button,
div.code-toolbar>.toolbar>.toolbar-item>span {
	color: #bbb;
	font-size: .8em;
	padding: 0 .5em;
	background: #f5f2f0;
	background: rgba(224, 224, 224, .2);
	box-shadow: 0 2px 0 0 rgba(0, 0, 0, .2);
	border-radius: .5em
}

div.code-toolbar>.toolbar>.toolbar-item>a:focus,
div.code-toolbar>.toolbar>.toolbar-item>a:hover,
div.code-toolbar>.toolbar>.toolbar-item>button:focus,
div.code-toolbar>.toolbar>.toolbar-item>button:hover,
div.code-toolbar>.toolbar>.toolbar-item>span:focus,
div.code-toolbar>.toolbar>.toolbar-item>span:hover {
	color: inherit;
	text-decoration: none
}